<ui:UiBinder xmlns:ui='urn:ui:com.google.gwt.uibinder'
             xmlns:g='urn:import:com.google.gwt.user.client.ui'


        >


    <ui:style>

        .container {

            padding: 0;
        }

        .soundcloudImg {
            position: absolute;
            bottom: 0;
            right: 0;
            cursor: pointer;
        }

        .artwork {
            cursor: pointer;
        }

        .author {
            margin: 0 0 0 5px;
            float: left;
            display: block;
            font-size: 10px;
            font-weight: bold;
            width: 100%;
        }

        .title {
            margin: 5px;
            float: left;
            display: block;
        }

        .detailsContainer {
            height: 100px;
            width: 147px;
            position: relative;
        }

        .youtubeContainer {
            margin: 0 0 0 2px;
        }


    </ui:style>


    <g:HTMLPanel styleName="{style.container}" ui:field="container" visible="false">

        <g:HTMLPanel ui:field="soundcloudContainer">
            <table>
                <tr>
                    <td width="100px">
                        <g:Image ui:field="artwork" styleName="{style.artwork}" width="100px" height="100px"></g:Image>
                    </td>
                    <td>
                        <g:FlowPanel styleName="{style.detailsContainer}">
                            <g:Anchor ui:field="author" styleName="{style.author}" target="_blank"></g:Anchor>
                            <g:Anchor ui:field="title" styleName="{style.title}" target="_blank"/>
                            <g:Image ui:field="soundcloudImg" styleName="{style.soundcloudImg}"></g:Image>
                        </g:FlowPanel>
                    </td>

                </tr>
            </table>
        </g:HTMLPanel>

        <g:HTMLPanel ui:field="youtubeContainer" styleName="{style.youtubeContainer}">
            <table>
                <tr>
                    <td>
                        <g:FlowPanel ui:field="youtubeFrameContainer"></g:FlowPanel>
                    </td>

                </tr>
            </table>
        </g:HTMLPanel>



    </g:HTMLPanel>


</ui:UiBinder>